.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px ;
    background: #ffffff3e;
    /* box-shadow: 0 2px 5px rgba(0,0,0,0.1); */
    position: sticky;
    top: 0;
    z-index: 1000; 
}




.navbar {
  transition: all 0.3s ease;
}

.navbar.sticky {
  position: fixed;
  top: 0;
  width: 100%;
  margin: 0;
  z-index: 999;
  background: #fff;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}




.nav-links .menu { 
    display: flex;
    list-style: none; 
    margin-bottom: 0;
}

.nav-links .menu li {
    position: relative;
    padding: 10px 20px;
}

.nav-links .menu li a {
    text-decoration: none;
    color: #000;
    font-weight: 600;
    font-size: 14px;
    transition: 0.3s;
}

.nav-links .menu li a:hover {
    color: #ffb400;
}

/* Dropdown styling */
.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    background: #fff;
    min-width: 250px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
    list-style: none;
    opacity: 0;
    display: none;
    transform: translateY(10px);
    transition: all 0.3s ease;
    border-top: 3px solid #ffb400;
}

/* Hover Effect */
.dropdown:hover .dropdown-menu {
    opacity: 1;
    display: block;
    transform: translateY(-5px);
}

.dropdown-menu li {
    padding: 5px 0px;
    border-bottom: 1px solid #f1f1f1;
}

/* Mobile Responsive */
.menu-toggle {
    display: none;
    font-size: 24px;
    cursor: pointer;
}
 

.menu-toggle i{  
    color: #ffb400; 
    padding: 5px 8px; 
    border-radius: 5px;
    border: solid 1px #ffb400;
}

.header-action {
    display: flex;
    gap: 5rem;
    align-items: center;
}

@media (max-width: 992px) {
    .nav-links {
        display: none;
        /* JS toggles this */
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background: #fff;
        flex-direction: column;
    }

    .nav-links.active {
        display: block;
    }

    .nav-links ul {
        flex-direction: column;
    }

    .nav-links ul li {
        width: 100%;
        text-align: start;
    }

    .dropdown-menu { 
        border: 0;
        position: static;
        opacity: 1;
        visibility: visible;
        display: none;
        /* Click to show on mobile */
        transform: none;
        box-shadow: none;
    }

    .menu-toggle {
        display: block;
    }

    .header-action {
        display: none;
    }

    /* Mobile par hide ya adjust karein */
}



.quote-btn {
    display: inline-flex;
    align-items: stretch;
    text-decoration: none;
    font-family: 'poppins';
    font-weight: 400;
    font-size: 14px;
    background-color: #000;
    /* Black background for the icon side */
    overflow: hidden;
    border: none;
}

.btn-text {
    background-color: #ffb400;
    /* The specific golden-yellow */
    color: #ffffff;
    padding: 5px 25px 5px 20px;
    display: flex;
    align-items: center;
    /* This creates the slanted edge on the right side of the yellow box */
    clip-path: polygon(0 0, 100% 0, 85% 100%, 0% 100%);
    margin-right: -15px;
    /* Pulls the black section under the slant */
    position: relative;
    z-index: 1;
}

.btn-icon {
    color: #fff;
    padding: 12px 15px 12px 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
}

/* Hover Effect */
/* .quote-btn:hover .btn-text {
  background-color: #e5ac00; 
}

.quote-btn:hover .btn-icon {
  background-color: #222;
} */


.contact-box {
    display: flex;
    align-items: center;
    font-family: 'Segoe UI', Roboto, Helvetica, Arial, sans-serif;
    gap: 15px;
}

/* Icon Styling */
.circle-outer {
    width: 60px;
    height: 60px;
    background-color: #fff8e75e; 
    /* Very light cream/yellow border */
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.circle-inner {
    width: 48px;
    height: 48px;
    background-color: #ffb400;
    /* Main yellow/orange color */
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.circle-inner svg {
    width: 24px;
    height: 24px;
}

/* Text Styling */
.text-content {
    display: flex;
    flex-direction: column;
}

.label {
    color: #0E0E0E;
    font-size: 11px;
}

.phone-number {
    color: #0E0E0E;
    font-size: 14px;
    font-weight: 500;
    text-decoration: none;
    letter-spacing: 0.2px;
}

.phone-number:hover { 
    color: #0E0E0E;
    text-decoration: underline;
} 




.navbar-brand {
  margin-right: 50px;
  padding: 0;
}

.logo img {
  max-height: 80px;  
  filter: drop-shadow(1px 1px 2px #030303);
}

.navbar-nav .nav-item {
  margin: 0 15px;
}

.navbar-nav .nav-item.dropdown .dropdown-menu {
  padding: 8px;
  background: white;
  top: 100%;
  border: none;
  border-radius: 0;
  border-top: 2px solid #ffb101;
  box-shadow: 0px 4px 15px rgba(1, 15, 28, 0.06);
  margin-top: 0;
  left: 0;
}

.navbar-nav .dropdown-menu .dropdown-submenu .dropdown-menu {
  background: white;
  left: 100%;
  margin: 0;
  right: auto;
  top: 0;
}

.navbar-nav .dropdown-submenu {
  display: block;
  position: relative;
}

.navbar-nav .nav-link {
  font-family: var(--themeht-typography-secondary-font-family);
  color: black;
  font-size: 16px;
  line-height: 30px;
  font-weight: 600;
  padding: 0 !important;
  border-radius: 0;
  text-transform: uppercase;
  position: relative;
}

.navbar-nav .nav-link:hover,
.navbar-nav .nav-item .nav-link.active {
  color: var(--themeht-primary-color);
}

.nav-item.dropdown .dropdown-menu li:last-child {
  margin-bottom: 0;
}

.nav-item.dropdown .dropdown-menu a {
  font-family: var(--themeht-typography-secondary-font-family);
  text-transform: uppercase;
  display: block;
  padding: 10px 0;
  line-height: 1;
  white-space: nowrap;
  position: relative;
  background: none;
  color: black;
  font-size: 14px;
  font-weight: 500;
}

.nav-item.dropdown .dropdown-menu a:hover {
  color: var(--themeht-primary-color);
  padding-left: 10px;
}

.navbar-nav .dropdown-menu .dropdown-submenu .dropdown-toggle.show,
.navbar-nav .dropdown-menu .dropdown-submenu .dropdown-toggle:focus {
  color: var(--themeht-primary-color);
  padding-left: 10px;
}

.nav-link.dropdown-toggle::after,
.navbar-nav .dropdown-submenu .dropdown-toggle::after {
  border: none;
  content: '\F282';
  font-family: bootstrap-icons !important;
  vertical-align: middle;
  font-size: 12px;
  line-height: 1;
  width: 10px;
  font-weight: 700;
}

.navbar-nav .dropdown-submenu .dropdown-toggle::after {
  position: absolute;
  right: 0;
  top: 14px;
  content: '\F285';
  font-size: 10px;
}


@media (min-width:992px) {
  .navbar-nav .dropdown-menu {
    min-width: 14em !important;
    max-width: 20em !important;
  }

  .navbar-nav .dropdown>.dropdown-menu {
    opacity: 0;
    position: absolute;
    display: block;
    pointer-events: none;
    background: white;
  }

  .navbar-nav .dropdown:hover>.dropdown-menu {
    display: block;
    opacity: 1;
    pointer-events: auto;
    visibility: visible;
    -webkit-transition: all 0.5s ease-in-out 0s;
    -moz-transition: all 0.5s ease-in-out 0s;
    -ms-transition: all 0.5s ease-in-out 0s;
    -o-transition: all 0.5s ease-in-out 0s;
    transition: all 0.5s ease-in-out 0s;
  }

  .navbar-nav .dropdown-submenu:hover .dropdown-menu {
    top: 0;
  }

  .navbar-nav.ms-auto .nav-item.dropdown .dropdown-menu {
    right: 0;
  }

  .navbar-nav.ms-auto .dropdown-menu .dropdown-submenu .dropdown-menu {
    left: auto;
    right: 100%;
  }
}

@media (max-width:991.98px) {
  .navbar-nav .dropdown-submenu .dropdown-menu {
    padding: 0;
    top: 0;
  }
}
